App\Library\Amazon\Classes\PowerSupply:
    xml_root_name: PowerSupply
    properties:
        forUseWith:
            expose: true
            access_type: public_method
            serialized_name: ForUseWith
            accessor:
                getter: getForUseWith
                setter: setForUseWith
            type: string
        cameraPowerSupplyType:
            expose: true
            access_type: public_method
            serialized_name: CameraPowerSupplyType
            accessor:
                getter: getCameraPowerSupplyType
                setter: setCameraPowerSupplyType
            type: string
        batteryChemicalType:
            expose: true
            access_type: public_method
            serialized_name: BatteryChemicalType
            accessor:
                getter: getBatteryChemicalType
                setter: setBatteryChemicalType
            type: string
        powerSupplyAccessories:
            expose: true
            access_type: public_method
            serialized_name: PowerSupplyAccessories
            accessor:
                getter: getPowerSupplyAccessories
                setter: setPowerSupplyAccessories
            type: string
